Eclipse Remote Application Platform

## org.eclipse.rap.rwt.client.service
Interface JavaScriptLoader

All Superinterfaces:
  ClientService, java.io.Serializable

    public interface JavaScriptLoader

extends ClientService

The JavaScriptLoader service allows loading additional JavaScript files at runtime.

Since:
  2.0

Method Summary
`void` `require(java.lang.String url)` Instructs the client to immediately load and evaluate a JavaScript file from the given URL.

Method Detail

### require

    void require(java.lang.String url)

  Instructs the client to immediately load and evaluate a JavaScript file from the given URL. If the file has already been loaded by the client, nothing happens. The URL has to be within the same domain as the RAP server. The `ResourceManager` can be used to register a file that can be loaded by the JavaScriptLoader.

  Parameters:
    `url` - the URL from which to load the JavaScript file

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0